Ticket #34404

ダイアログが必ず画面の中心に来るようにする

Open Date: 2014-10-01 13:50 Last Update: 2014-11-20 23:05

Reporter: nishimoto Owner: (None)
Type: Patches Status: Closed
Component: 本家 MileStone: 2014.4jp (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

関連チケット:

https://sourceforge.jp/ticket/browse.php?group_id=4221&tid=32183

最近本家が wxPython のバージョンアップをしたのがきっかけで、 この件が進みそうな(というか進めてくれと言われているような)状況です。

http://community.nvda-project.org/ticket/3148#comment:13

Attachment File List

No attachments

Ticket History (3/6 Histories)

2014-10-01 13:50 Updated by: nishimoto
  • New Ticket "ダイアログが必ず画面の中心に来るようにする" created
2014-10-30 23:03 Updated by: nishimoto
  • Milestone Update from (None) to 2014.4jp (closed)
  • Resolution Update from None to Accepted
Comment

本家チケット 3148 に提案したパッチを jpbeta にマージしました:

To git@bitbucket.org:nvdajp/nvdajp.git
   ffc5c24..2538e8c  jpbeta -> jpbeta

本家版が 2014.4 で反映されるかどうかわかりませんが、 日本語版 2014.4jp はこれで行こうと思います。

2014-11-07 12:04 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
Comment

私のパッチが本家 next に入りました。

このタイミングなので本家版のターゲットは 2014.4 ではなく 2015.1 になりそうです。

2014-11-10 23:12 Updated by: nishimoto
Comment

寄付の呼びかけのダイアログだけ画面の中心になっていないという話:

http://community.nvda-project.org/ticket/3148#comment:21

2014-11-11 16:55 Updated by: nishimoto
Comment

本家 next で下記のように修正された:

> git show --source 4fe9d62
commit 4fe9d62a7fbd933338d124ab466bfb28550707c0 4fe9d62
Author: James Teh <jamie@nvaccess.org>
Date:   Tue Nov 11 13:56:45 2014 +1000

    Center the donate request dialog, which was previously missed.

diff --git a/source/updateCheck.py b/source/updateCheck.py
index 12892aa..51b977e 100644
--- a/source/updateCheck.py
+++ b/source/updateCheck.py
@@ -409,6 +409,7 @@ class DonateRequestDialog(wx.Dialog):

                self.Sizer = mainSizer
                mainSizer.Fit(self)
+               self.Center(wx.BOTH | wx.CENTER_ON_SCREEN)
                self.Show()

        def onDonate(self, evt):

jpbeta にもマージしました。

To git@bitbucket.org:nvdajp/nvdajp.git
   d352d3c..d3ccd8c  jpbeta -> jpbeta
2014-11-20 23:05 Updated by: nishimoto
  • Ticket Close date is changed to 2014-11-20 23:05
  • Status Update from Open to Closed

Edit

Please login to add comment to this ticket » Login